logo
IntegrationsPush leads to CRM
Integrations

Push leads to CRM

Creates an async job to export selected leads to the connected CRM. Returns the job ID to track progress via the jobs endpoint.

curl -X POST "https://api.sendkit.ai/v1/integrations/crm/attio/push" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "leadIds": [
    "664a1b2c3d4e5f6a7b8c9d01",
    "664a1b2c3d4e5f6a7b8c9d02"
  ]
}'
{
  "success": true,
  "data": {
    "jobId": "664a1b2c3d4e5f6a7b8c9d31",
    "status": "pending",
    "leadCount": 2
  }
}
POST
/v1/integrations/crm/{type}/push
POST
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
path
typestring
Required

CRM provider type

Options: attio, hubspot, pipedrive, airtable, salesforce
Content-Typestring
Required

The media type of the request body

Options: application/json
leadIdsarray
Required

Lead IDs to push to the CRM

campaignIdstring

Optional campaign ID for context

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Path Parameters

typestring
Required

CRM provider type

Allowed values:attiohubspotpipedriveairtablesalesforce

Body

application/json
leadIdsarray
Required

Lead IDs to push to the CRM

campaignIdstring

Optional campaign ID for context

Responses